aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/pmacct/files
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/pmacct/files')
-rw-r--r--recipes/pmacct/files/pmacct.conf.eth011
-rw-r--r--recipes/pmacct/files/pmacct.init39
2 files changed, 50 insertions, 0 deletions
diff --git a/recipes/pmacct/files/pmacct.conf.eth0 b/recipes/pmacct/files/pmacct.conf.eth0
new file mode 100644
index 0000000000..12e00ebe1c
--- /dev/null
+++ b/recipes/pmacct/files/pmacct.conf.eth0
@@ -0,0 +1,11 @@
+!
+! pmacctd configuration for eth0
+!
+promisc: false
+interface: eth0
+daemonize: true
+aggregate[in]: dst_host
+aggregate[out]: src_host
+plugins: memory[in], memory[out]
+imt_path[in]: /var/run/pmacct-eth0-in.pipe
+imt_path[out]: /var/run/pmacct-eth0-out.pipe \ No newline at end of file
diff --git a/recipes/pmacct/files/pmacct.init b/recipes/pmacct/files/pmacct.init
new file mode 100644
index 0000000000..fe72bb8d15
--- /dev/null
+++ b/recipes/pmacct/files/pmacct.init
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+IFACES="eth0"
+PIPES="in out"
+
+case "$1" in
+ start)
+ echo -n "Starting pmacct daemon"
+ for iface in $IFACES; do
+ pmacctd -f /etc/pmacct/pmacct.conf.$iface
+ done
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping pmacct daemon"
+ killall -INT pmacctd
+ echo "."
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ show)
+ for iface in $IFACES; do
+ echo "= $iface ======================="
+ for pipe in $PIPES; do
+ echo "- $pipe -----------------------"
+ pmacct -s -p /var/run/pmacct-$iface-$pipe.pipe
+ done
+ done
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|show}"
+ exit 1
+ ;;
+esac
+
+exit 0 \ No newline at end of file